Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
libvisio::VSD6Parser Class Reference

`#include <VSD6Parser.h>`

Inheritance diagram for libvisio::VSD6Parser:

## Public Member Functions
| VSD6Parser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| ~VSD6Parser () override
Public Member Functions inherited from libvisio::VSDParser
| VSDParser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter, librevenge::RVNGInputStream *container=nullptr)
virtual | ~VSDParser ()
bool | parseMain ()
bool | extractStencils ()

## Protected Member Functions
bool | getChunkHeader (librevenge::RVNGInputStream *input) override
Protected Member Functions inherited from libvisio::VSDParser
void | readEllipticalArcTo (librevenge::RVNGInputStream *input)
void | readForeignData (librevenge::RVNGInputStream *input)
void | readEllipse (librevenge::RVNGInputStream *input)
virtual void | readLine (librevenge::RVNGInputStream *input)
virtual void | readGeomList (librevenge::RVNGInputStream *input)
void | readGeometry (librevenge::RVNGInputStream *input)
void | readMoveTo (librevenge::RVNGInputStream *input)
void | readLineTo (librevenge::RVNGInputStream *input)
void | readArcTo (librevenge::RVNGInputStream *input)
void | readNURBSTo (librevenge::RVNGInputStream *input)
void | readPolylineTo (librevenge::RVNGInputStream *input)
void | readInfiniteLine (librevenge::RVNGInputStream *input)
void | readShapeData (librevenge::RVNGInputStream *input)
void | readXFormData (librevenge::RVNGInputStream *input)
virtual void | readXForm1D (librevenge::RVNGInputStream *input)
void | readTxtXForm (librevenge::RVNGInputStream *input)
void | readShapeId (librevenge::RVNGInputStream *input)
virtual void | readShapeList (librevenge::RVNGInputStream *input)
void | readForeignDataType (librevenge::RVNGInputStream *input)
void | readPageProps (librevenge::RVNGInputStream *input)
virtual void | readShape (librevenge::RVNGInputStream *input)
void | readColours (librevenge::RVNGInputStream *input)
void | readFont (librevenge::RVNGInputStream *input)
void | readFontIX (librevenge::RVNGInputStream *input)
virtual void | readCharList (librevenge::RVNGInputStream *input)
virtual void | readParaList (librevenge::RVNGInputStream *input)
virtual void | readPropList (librevenge::RVNGInputStream *input)
virtual void | readPage (librevenge::RVNGInputStream *input)
virtual void | readTextBlock (librevenge::RVNGInputStream *input)
virtual void | readTabsDataList (librevenge::RVNGInputStream *input)
virtual void | readTabsData (librevenge::RVNGInputStream *input)
void | readNameList (librevenge::RVNGInputStream *input)
virtual void | readNameList2 (librevenge::RVNGInputStream *input)
virtual void | readFieldList (librevenge::RVNGInputStream *input)
virtual void | readStyleSheet (librevenge::RVNGInputStream *input)
void | readPageSheet (librevenge::RVNGInputStream *input)
void | readSplineStart (librevenge::RVNGInputStream *input)
void | readSplineKnot (librevenge::RVNGInputStream *input)
void | readStencilShape (librevenge::RVNGInputStream *input)
void | readOLEList (librevenge::RVNGInputStream *input)
void | readOLEData (librevenge::RVNGInputStream *input)
virtual void | readNameIDX (librevenge::RVNGInputStream *input)
virtual void | readNameIDX123 (librevenge::RVNGInputStream *input)
virtual void | readLayerList (librevenge::RVNGInputStream *input)
virtual void | readLayer (librevenge::RVNGInputStream *input)
bool | parseDocument (librevenge::RVNGInputStream *input, unsigned shift)
void | parseMetaData ()
void | handleStreams (librevenge::RVNGInputStream *input, unsigned ptrType, unsigned shift, unsigned level, std::set< unsigned > &visited)
void | handleStream (const Pointer &ptr, unsigned idx, unsigned level, std::set< unsigned > &visited)
void | handleChunks (librevenge::RVNGInputStream *input, unsigned level)
void | handleChunk (librevenge::RVNGInputStream *input)
void | handleBlob (librevenge::RVNGInputStream *input, unsigned shift, unsigned level)
virtual void | readPointer (librevenge::RVNGInputStream *input, Pointer &ptr)
virtual void | readPointerInfo (librevenge::RVNGInputStream *input, unsigned ptrType, unsigned shift, unsigned &listSize, int &pointerCount)
void | _handleLevelChange (unsigned level)
Colour | _colourFromIndex (unsigned idx)
void | _flushShape ()
void | _nameFromId (VSDName &name, unsigned id, unsigned level)
virtual unsigned | getUInt (librevenge::RVNGInputStream *input)
virtual int | getInt (librevenge::RVNGInputStream *input)

## Private Member Functions
void | readText (librevenge::RVNGInputStream *input) override
void | readCharIX (librevenge::RVNGInputStream *input) override
void | readParaIX (librevenge::RVNGInputStream *input) override
void | readFillAndShadow (librevenge::RVNGInputStream *input) override
void | readName (librevenge::RVNGInputStream *input) override
void | readName2 (librevenge::RVNGInputStream *input) override
void | readTextField (librevenge::RVNGInputStream *input) override
void | readLayerMem (librevenge::RVNGInputStream *input) override
void | readMisc (librevenge::RVNGInputStream *input) override
| VSD6Parser ()
| VSD6Parser (const VSDParser &)
VSD6Parser & | operator= (const VSDParser &)

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDParser
librevenge::RVNGInputStream * | m_input
librevenge::RVNGDrawingInterface * | m_painter
librevenge::RVNGInputStream * | m_container
ChunkHeader | m_header
VSDCollector * | m_collector
VSDShapeList | m_shapeList
unsigned | m_currentLevel
VSDStencils | m_stencils
VSDStencil * | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
bool | m_isInStyles
unsigned | m_currentShapeLevel
unsigned | m_currentShapeID
unsigned | m_currentLayerListLevel
bool | m_extractStencils
std::vector< Colour > | m_colours
bool | m_isBackgroundPage
bool | m_isShapeStarted
double | m_shadowOffsetX
double | m_shadowOffsetY
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeomListCount
std::map< unsigned, VSDName > | m_fonts
std::map< unsigned, VSDName > | m_names
std::map< unsigned, std::map< unsigned, VSDName > > | m_namesMapMap
VSDName | m_currentPageName
std::map< unsigned, VSDTabStop > * | m_currentTabSet

## Constructor & Destructor Documentation

## ◆ VSD6Parser() [1/3]

libvisio::VSD6Parser::VSD6Parser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter )
| explicit

Referenced by operator=(), and libvisio::VSD5Parser::VSD5Parser().

## ◆ ~VSD6Parser()

libvisio::VSD6Parser::~VSD6Parser | ( |  | ) |
| override

## ◆ VSD6Parser() [2/3]

libvisio::VSD6Parser::VSD6Parser | ( |  | ) |
| private

## ◆ VSD6Parser() [3/3]

libvisio::VSD6Parser::VSD6Parser | ( | const VSDParser & |  | ) |
| private

## Member Function Documentation

## ◆ getChunkHeader()

bool libvisio::VSD6Parser::getChunkHeader | ( | librevenge::RVNGInputStream * | input | ) |
| override protected virtual

Reimplemented from libvisio::VSDParser.

## ◆ operator=()

VSD6Parser & libvisio::VSD6Parser::operator= | ( | const VSDParser & |  | ) |
| private

## ◆ readCharIX()

void libvisio::VSD6Parser::readCharIX | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

## ◆ readFillAndShadow()

void libvisio::VSD6Parser::readFillAndShadow | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

## ◆ readLayerMem()

void libvisio::VSD6Parser::readLayerMem | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

## ◆ readMisc()

void libvisio::VSD6Parser::readMisc | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

## ◆ readName()

void libvisio::VSD6Parser::readName | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

## ◆ readName2()

void libvisio::VSD6Parser::readName2 | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

## ◆ readParaIX()

void libvisio::VSD6Parser::readParaIX | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

## ◆ readText()

void libvisio::VSD6Parser::readText | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

## ◆ readTextField()

void libvisio::VSD6Parser::readTextField | ( | librevenge::RVNGInputStream * | input | ) |
| override private virtual

Reimplemented from libvisio::VSDParser.

The documentation for this class was generated from the following files:

- VSD6Parser.h
- VSD6Parser.cpp